var routers = [
        {
                path: '/base/terminalInfo/list',
                name: 'base-terminalInfo-list',
                // route level code-splitting
                // this generates a separate chunk (about.[hash].js) for this route
                // which is lazy-loaded when the route is visited.
                component: () => import('@/views/base/terminalInfo-list.vue'),
                meta: {
                        roles: ["admin"]
                }
        },
        {
                path: '/base/electricClientInfo/list',
                name: 'base-electricClientInfo-list',
                // route level code-splitting
                // this generates a separate chunk (about.[hash].js) for this route
                // which is lazy-loaded when the route is visited.
                component: () => import('@/views/base/electricClientInfo-list.vue'),
                meta: {
                        roles: ["admin"]
                }
        },
        {
                path: '/base/electricMeterInfo/list',
                name: 'base-electricMeterInfo-list',
                // route level code-splitting
                // this generates a separate chunk (about.[hash].js) for this route
                // which is lazy-loaded when the route is visited.
                component: () => import('@/views/base/electricMeterInfo-list.vue'),
                meta: {
                        roles: ["admin"]
                }
        },
        {
                path: '/base/rechargeRecord/list',
                name: 'base-rechargeRecord-list',
                // route level code-splitting
                // this generates a separate chunk (about.[hash].js) for this route
                // which is lazy-loaded when the route is visited.
                component: () => import('@/views/base/rechargeRecord-list.vue'),
                meta: {
                        roles: ["admin"]
                }
        },
        {
                path: '/base/rechargeRecordWater/list',
                name: 'base-rechargeRecordWater-list',
                // route level code-splitting
                // this generates a separate chunk (about.[hash].js) for this route
                // which is lazy-loaded when the route is visited.
                component: () => import('@/views/base/rechargeRecordWater-list.vue'),
                meta: {
                        roles: ["admin"]
                }
        },
        {
                path: '/base/rechargeRecordProperty/list',
                name: 'base-rechargeRecordProperty-list',
                // route level code-splitting
                // this generates a separate chunk (about.[hash].js) for this route
                // which is lazy-loaded when the route is visited.
                component: () => import('@/views/base/rechargeRecordProperty-list.vue'),
                meta: {
                        roles: ["admin"]
                }
        },
        {
                path: '/base/roomInfo/list',
                name: 'base-roomInfo-list',
                // route level code-splitting
                // this generates a separate chunk (about.[hash].js) for this route
                // which is lazy-loaded when the route is visited.
                component: () => import('@/views/base/roomInfo-list.vue'),
                meta: {
                        roles: ["admin"]
                }
        },
        {
                path: '/base/rechange/list',
                name: 'base-rechange-list',
                // route level code-splitting
                // this generates a separate chunk (about.[hash].js) for this route
                // which is lazy-loaded when the route is visited.
                component: () => import('@/views/base/rechange-list.vue'),
                meta: {
                        roles: ["admin"]
                }
        },
        {
                path: '/base/ownerInfo/list',
                name: 'base-ownerInfo-list',
                // route level code-splitting
                // this generates a separate chunk (about.[hash].js) for this route
                // which is lazy-loaded when the route is visited.
                component: () => import('@/views/base/ownerInfo-list.vue'),
                meta: {
                        roles: ["admin"]
                }
        },
        {
                path: '/base/parkingInfo/list',
                name: 'base-parkingInfo-list',
                // route level code-splitting
                // this generates a separate chunk (about.[hash].js) for this route
                // which is lazy-loaded when the route is visited.
                component: () => import('@/views/base/parkingInfo-list.vue'),
                meta: {
                        roles: ["admin"]
                }
        },
        {
                path: '/base/parkingApply/list',
                name: 'base-parkingApply-list',
                // route level code-splitting
                // this generates a separate chunk (about.[hash].js) for this route
                // which is lazy-loaded when the route is visited.
                component: () => import('@/views/base/parkingApply-list.vue'),
                meta: {
                        roles: ["admin"]
                }
        },
        {
                path: '/base/alarmInfoFence/list',
                name: 'base-alarmInfoFence-list',
                // route level code-splitting
                // this generates a separate chunk (about.[hash].js) for this route
                // which is lazy-loaded when the route is visited.
                component: () => import('@/views/base/alarmInfo-fence-list.vue'),
                meta: {
                        roles: ["admin"]
                }
        },
        {
                path: '/base/alarmInfoAlert/list',
                name: 'base-alarmInfoAlert-list',
                // route level code-splitting
                // this generates a separate chunk (about.[hash].js) for this route
                // which is lazy-loaded when the route is visited.
                component: () => import('@/views/base/alarmInfo-alert-list.vue'),
                meta: {
                        roles: ["admin"]
                }
        },
        {
                path: '/base/informationInfoComplaint/list',
                name: 'base-informationInfoComplaint-list',
                // route level code-splitting
                // this generates a separate chunk (about.[hash].js) for this route
                // which is lazy-loaded when the route is visited.
                component: () => import('@/views/base/informationInfo-complaint-list.vue'),
                meta: {
                        roles: ["admin"]
                }
        },
        {
                path: '/base/informationInfoWarranty/list',
                name: 'base-informationInfoWarranty-list',
                // route level code-splitting
                // this generates a separate chunk (about.[hash].js) for this route
                // which is lazy-loaded when the route is visited.
                component: () => import('@/views/base/informationInfo-warranty-list.vue'),
                meta: {
                        roles: ["admin"]
                }
        },
        {
                path: '/base/employeeInfo/list',
                name: 'base-employeeInfo-list',
                // route level code-splitting
                // this generates a separate chunk (about.[hash].js) for this route
                // which is lazy-loaded when the route is visited.
                component: () => import('@/views/base/employeeInfo-list.vue'),
                meta: {
                        roles: ["admin"]
                }
        },
        {
                //单位管理
                path: '/base/companyInfo/list',
                name: 'base-companyInfo-list',
                // route level code-splitting
                // this generates a separate chunk (about.[hash].js) for this route
                // which is lazy-loaded when the route is visited.
                component: () => import('@/views/base/companyInfo-list.vue'),
                meta: {
                        roles: ["admin"]
                }
        },
        {
                //人员管理
                path: '/base/personInfo/list',
                name: 'base-personInfo-list',
                // route level code-splitting
                // this generates a separate chunk (about.[hash].js) for this route
                // which is lazy-loaded when the route is visited.
                component: () => import('@/views/base/personInfo-list.vue'),
                meta: {
                        roles: ["admin"]
                }
        },
        {
                //设备管理
                path: '/base/deviceInfo/list',
                name: 'base-deviceInfo-list',
                // route level code-splitting
                // this generates a separate chunk (about.[hash].js) for this route
                // which is lazy-loaded when the route is visited.
                component: () => import('@/views/base/deviceInfo-list.vue'),
                meta: {
                        roles: ["admin"]
                }
        },
        {
                //台账信息
                path: '/base/personDeviceLog/list',
                name: 'base-personDeviceLog-list',
                // route level code-splitting
                // this generates a separate chunk (about.[hash].js) for this route
                // which is lazy-loaded when the route is visited.
                component: () => import('@/views/base/personDeviceLog-list.vue'),
                meta: {
                        roles: ["admin"]
                }
        },
        {
                //检测预警上报人员管理
                path: '/base/warningPusher/list',
                name: 'base-warningPusher-list',
                // route level code-splitting
                // this generates a separate chunk (about.[hash].js) for this route
                // which is lazy-loaded when the route is visited.
                component: () => import('@/views/base/warningPusher-list.vue'),
                meta: {
                        roles: ["admin"]
                }
        },
        {
                //防疫通知
                path: '/base/messageNotice/list',
                name: 'base-messageNotice-list',
                // route level code-splitting
                // this generates a separate chunk (about.[hash].js) for this route
                // which is lazy-loaded when the route is visited.
                component: () => import('@/views/base/messageNotice-list.vue'),
                meta: {
                        roles: ["admin"]
                }
        },
        {
                //检异常上报
                path: '/base/messageReport/list',
                name: 'base-messageReport-list',
                // route level code-splitting
                // this generates a separate chunk (about.[hash].js) for this route
                // which is lazy-loaded when the route is visited.
                component: () => import('@/views/base/messageReport-list.vue'),
                meta: {
                        roles: ["admin"]
                }
        },
        {
                //打卡时间
                path: '/base/alarmConfig/list',
                name: 'base-alarmConfig-list',
                // route level code-splitting
                // this generates a separate chunk (about.[hash].js) for this route
                // which is lazy-loaded when the route is visited.
                component: () => import('@/views/base/alarmConfig-list.vue'),
                meta: {
                        roles: ["admin"]
                }
        }
]

export default routers;